---
title: "Update tracking number"
description: "Update tracking number"
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/update-tracking-number'
  md: 'https://developer.shopline.com/docs/admin-rest-api/order/shipping-and-fulfillment/update-tracking-number.md'
---
# Update tracking number

Update tracking number

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `write_orders`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
POST /orders/:order_id/fulfillments/:fulfillment_id/update_tracking.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `write_orders`

## Request

### Path Parameters

* `fulfillment_id`

  string (required)

  Package ID

* `order_id`

  string (required)

  Order number

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `fulfillment`

  object

  Package information

  * `tracking_info`

    object

    Logistics information.
    :::danger
    **DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list`. 
    :::

    * `url`

      string

      Logistics tracking URL

    * `company`

      string

      Logistics companies

    * `number`

      string

      Tracking number

  * `tracking_info_list`

    array<object>

    If this parameter is specified, the individual parameters `tracking_url`, `tracking_number`, and `tracking_company` will be ignored.Maximum of 10 tracking infos allowed.

    * `tracking_number`

      string

      Tracking number.

    * `tracking_url`

      string

      Logistics tracking URL.

    * `tracking_company`

      string

      Logistics service provider. Refer to [Logistics company list](https://developer.shopline.com/docs/apps/api-instructions-for-use/references/logistics-company-list.md) for valid values. 

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `fulfillment`

  object

  Package information

  * `tracking_number`

    string

    Tracking number
    :::danger
    **DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list` for related information. 
    :::

  * `tracking_numbers`

    array<string>

    Tracking number array

  * `shipment_status`

    string

    Package tracking

  * `status`

    string

    Logistics delivery status, success-shipped; cancelled-cancelled;

  * `tracking_info_list`

    array<object>

    If this parameter is specified, the individual parameters `tracking_url`, `tracking_number`, and `tracking_company` will be ignored.Maximum of 10 tracking infos allowed.

    * `tracking_company`

      string

      The logistics service provider.

    * `tracking_number`

      string

      The tracking number.

    * `tracking_url`

      string

      The URL for tracking the package.

  * `tracking_url`

    string

    Logistics tracking URL
    :::danger
    **DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list` for related information. 
    :::

  * `tracking_urls`

    array<string>

    Logistics tracking URL group

  * `updated_at`

    string

    Update time

  * `created_at`

    string

    Creation date

  * `id`

    string

    Package ID

  * `line_items`

    array<object>

    Item group

    * `grams`

      double

      Weight

    * `name`

      string

      Product name

    * `price`

      string

      Price

    * `taxable`

      boolean

      Tax or not？

    * `title`

      string

      Product title

    * `variant_id`

      string

      Product variant ID

    * `version`

      string

      Product version

    * `price_set`

      object

      Multi-currency prices

      * `presentment_money`

        object

        Settlement currency

      * `shop_money`

        object

        Store currency

    * `quantity`

      integer

      Product quantity shipped

    * `requires_shipping`

      boolean

      Shipping or not

    * `tax_lines`

      array<object>

      Tax

      * `price`

        string

        Amount

      * `price_set`

        object

        Multi-currency amount

      * `rate`

        string

        Tax rate

      * `title`

        string

        Tax name

    * `total_discount`

      string

      Discount amount

    * `fulfillable_quantity`

      integer

      Available quantity

    * `product_id`

      string

      Product ID

    * `sku`

      string

      Product code

    * `variant_title`

      string

      Product variant name

    * `id`

      string

      Product ID

    * `total_discount_set`

      object

      Multi-currency discount

      * `presentment_money`

        object

        Settlement currency

      * `shop_money`

        object

        Store currency

  * `name`

    string

    Package

  * `order_id`

    string

    Order number

  * `tracking_company`

    string

    Logistics company name
    :::danger
    **DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list` for related information.
    :::


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "tags": [
    "Update tracking number"
  ],
  "description": "Update tracking number",
  "externalDocs": {
    "description": "Permission point used by the interface is `write_orders` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": "| Error Code | HTTP Status Code | Error Description |\n|------------|------------------|-------------------|\n| SUCCESS | 200 | request success |\n| SYSTEM_ERROR | 500 | system error |\n| PARAM_ILLEGAL | 422 | illegal param |\n| ILLEGAL_PARAMS | 422 | illegal param |\n| ORDER_IS_NULL | 422 | order not exist |\n| MULTI_EXPRESS_INFO_MAX_SIZE | 422 | A maximum of 10 tracking information can be added |\n"
  },
  "operationId": "hXEbkXwh",
  "parameters": [
    {
      "name": "fulfillment_id",
      "in": "path",
      "description": "Package ID",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "fulfillment_id",
        "description": "Package ID",
        "type": "string"
      }
    },
    {
      "name": "order_id",
      "in": "path",
      "description": "Order number",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "order_id",
        "description": "Order number",
        "type": "string"
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "name": "body",
          "description": "body position parameter",
          "type": "object",
          "properties": {
            "fulfillment": {
              "name": "fulfillment",
              "description": "Package information",
              "type": "object",
              "properties": {
                "tracking_info": {
                  "name": "tracking_info",
                  "description": "Logistics information.\n:::danger\n**DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list`. \n:::",
                  "type": "object",
                  "properties": {
                    "url": {
                      "name": "url",
                      "description": "Logistics tracking URL",
                      "type": "string",
                      "example": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\""
                    },
                    "company": {
                      "name": "company",
                      "description": "Logistics companies",
                      "type": "string",
                      "example": "\"4PX\""
                    },
                    "number": {
                      "name": "number",
                      "description": "Tracking number",
                      "type": "string",
                      "example": "\"1123212\""
                    }
                  },
                  "example": {
                    "company": "\"4PX\"",
                    "number": "\"1123212\"",
                    "url": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\""
                  }
                },
                "tracking_info_list": {
                  "name": "tracking_info_list",
                  "description": "If this parameter is specified, the individual parameters `tracking_url`, `tracking_number`, and `tracking_company` will be ignored.Maximum of 10 tracking infos allowed.",
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "tracking_number": {
                        "name": "tracking_number",
                        "description": "Tracking number.",
                        "type": "string"
                      },
                      "tracking_url": {
                        "name": "tracking_url",
                        "description": "Logistics tracking URL.",
                        "type": "string"
                      },
                      "tracking_company": {
                        "name": "tracking_company",
                        "description": "Logistics service provider. Refer to [Logistics company list](https://developer.shopline.com/docs/apps/api-instructions-for-use/references/logistics-company-list.md) for valid values. ",
                        "type": "string"
                      }
                    },
                    "example": {
                      "tracking_company": null,
                      "tracking_number": null,
                      "tracking_url": null
                    }
                  },
                  "example": [
                    {
                      "tracking_url": null,
                      "tracking_company": null,
                      "tracking_number": null
                    }
                  ]
                }
              },
              "example": {
                "tracking_info_list": [
                  {
                    "tracking_company": null,
                    "tracking_number": null,
                    "tracking_url": null
                  }
                ],
                "tracking_info": {
                  "company": "\"4PX\"",
                  "number": "\"1123212\"",
                  "url": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\""
                }
              }
            }
          },
          "required": [
            "fulfillment"
          ],
          "example": {
            "fulfillment": {
              "tracking_info": {
                "number": "\"1123212\"",
                "url": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"",
                "company": "\"4PX\""
              },
              "tracking_info_list": [
                {
                  "tracking_company": null,
                  "tracking_number": null,
                  "tracking_url": null
                }
              ]
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "name": "body",
            "type": "object",
            "properties": {
              "fulfillment": {
                "name": "fulfillment",
                "description": "Package information",
                "type": "object",
                "properties": {
                  "tracking_number": {
                    "name": "tracking_number",
                    "description": "Tracking number\n:::danger\n**DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list` for related information. \n:::",
                    "type": "string",
                    "example": "\"UG198768340YP\""
                  },
                  "tracking_numbers": {
                    "name": "tracking_numbers",
                    "description": "Tracking number array",
                    "type": "array",
                    "items": {
                      "type": "string",
                      "example": "[\"UG198768340YP\"]"
                    },
                    "example": [
                      "[\"UG198768340YP\"]"
                    ]
                  },
                  "shipment_status": {
                    "name": "shipment_status",
                    "description": "Package tracking",
                    "type": "string",
                    "example": "\"delivered\""
                  },
                  "status": {
                    "name": "status",
                    "description": "Logistics delivery status, success-shipped; cancelled-cancelled;",
                    "type": "string",
                    "example": "\"success-shipped\""
                  },
                  "tracking_info_list": {
                    "name": "tracking_info_list",
                    "description": "If this parameter is specified, the individual parameters `tracking_url`, `tracking_number`, and `tracking_company` will be ignored.Maximum of 10 tracking infos allowed.",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "tracking_company": {
                          "name": "tracking_company",
                          "description": "The logistics service provider.",
                          "type": "string"
                        },
                        "tracking_number": {
                          "name": "tracking_number",
                          "description": "The tracking number.",
                          "type": "string"
                        },
                        "tracking_url": {
                          "name": "tracking_url",
                          "description": "The URL for tracking the package.",
                          "type": "string"
                        }
                      },
                      "example": {
                        "tracking_url": null,
                        "tracking_company": null,
                        "tracking_number": null
                      }
                    },
                    "example": [
                      {
                        "tracking_number": null,
                        "tracking_url": null,
                        "tracking_company": null
                      }
                    ]
                  },
                  "tracking_url": {
                    "name": "tracking_url",
                    "description": "Logistics tracking URL\n:::danger\n**DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list` for related information. \n:::",
                    "type": "string",
                    "example": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\""
                  },
                  "tracking_urls": {
                    "name": "tracking_urls",
                    "description": "Logistics tracking URL group",
                    "type": "array",
                    "items": {
                      "type": "string",
                      "example": "[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"
                    },
                    "example": [
                      "[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"
                    ]
                  },
                  "updated_at": {
                    "name": "updated_at",
                    "description": "Update time",
                    "type": "string",
                    "example": "2022-10-21T08:56:20-04:00"
                  },
                  "created_at": {
                    "name": "created_at",
                    "description": "Creation date",
                    "type": "string"
                  },
                  "id": {
                    "name": "id",
                    "description": "Package ID",
                    "type": "string",
                    "example": "\"4005740193290131085320\""
                  },
                  "line_items": {
                    "name": "line_items",
                    "description": "Item group",
                    "type": "array",
                    "items": {
                      "type": "object",
                      "properties": {
                        "grams": {
                          "name": "grams",
                          "description": "Weight",
                          "type": "double",
                          "example": 10.5
                        },
                        "name": {
                          "name": "name",
                          "description": "Product name",
                          "type": "string",
                          "example": "Trade name"
                        },
                        "price": {
                          "name": "price",
                          "description": "Price",
                          "type": "string",
                          "example": "\"100.00\""
                        },
                        "taxable": {
                          "name": "taxable",
                          "description": "Tax or not？",
                          "type": "boolean",
                          "example": true
                        },
                        "title": {
                          "name": "title",
                          "description": "Product title",
                          "type": "string",
                          "example": "\"Draft\""
                        },
                        "variant_id": {
                          "name": "variant_id",
                          "description": "Product variant ID",
                          "type": "string",
                          "example": "\"183423409238904944\""
                        },
                        "version": {
                          "name": "version",
                          "description": "Product version",
                          "type": "string",
                          "example": "\"1\""
                        },
                        "price_set": {
                          "name": "price_set",
                          "description": "Multi-currency prices",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "Settlement currency",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Amount",
                                  "type": "string",
                                  "example": "\"100.00\""
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Currency",
                                  "type": "string",
                                  "example": "\"USD\""
                                }
                              },
                              "example": {
                                "amount": "\"100.00\"",
                                "currency_code": "\"USD\""
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "Store currency",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Amount",
                                  "type": "string",
                                  "example": "\"100.00\""
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Currency",
                                  "type": "string",
                                  "example": "\"USD\""
                                }
                              },
                              "example": {
                                "amount": "\"100.00\"",
                                "currency_code": "\"USD\""
                              }
                            }
                          },
                          "example": {
                            "shop_money": {
                              "amount": "\"100.00\"",
                              "currency_code": "\"USD\""
                            },
                            "presentment_money": {
                              "amount": "\"100.00\"",
                              "currency_code": "\"USD\""
                            }
                          }
                        },
                        "quantity": {
                          "name": "quantity",
                          "description": "Product quantity shipped",
                          "type": "integer",
                          "example": 1
                        },
                        "requires_shipping": {
                          "name": "requires_shipping",
                          "description": "Shipping or not",
                          "type": "boolean",
                          "example": true
                        },
                        "tax_lines": {
                          "name": "tax_lines",
                          "description": "Tax",
                          "type": "array",
                          "items": {
                            "type": "object",
                            "properties": {
                              "price": {
                                "name": "price",
                                "description": "Amount",
                                "type": "string",
                                "example": "\"10.00\""
                              },
                              "price_set": {
                                "name": "price_set",
                                "description": "Multi-currency amount",
                                "type": "object",
                                "properties": {
                                  "presentment_money": {
                                    "name": "presentment_money",
                                    "description": "Settlement currency",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "Amount",
                                        "type": "string",
                                        "example": "\"10.00\""
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "Currency",
                                        "type": "string",
                                        "example": "\"USD\""
                                      }
                                    },
                                    "example": {
                                      "amount": "\"10.00\"",
                                      "currency_code": "\"USD\""
                                    }
                                  },
                                  "shop_money": {
                                    "name": "shop_money",
                                    "description": "Store currency",
                                    "type": "object",
                                    "properties": {
                                      "amount": {
                                        "name": "amount",
                                        "description": "Amount",
                                        "type": "string",
                                        "example": "\"10.00\""
                                      },
                                      "currency_code": {
                                        "name": "currency_code",
                                        "description": "Currency",
                                        "type": "string",
                                        "example": "\"USD\""
                                      }
                                    },
                                    "example": {
                                      "currency_code": "\"USD\"",
                                      "amount": "\"10.00\""
                                    }
                                  }
                                },
                                "example": {
                                  "presentment_money": {
                                    "amount": "\"10.00\"",
                                    "currency_code": "\"USD\""
                                  },
                                  "shop_money": {
                                    "amount": "\"10.00\"",
                                    "currency_code": "\"USD\""
                                  }
                                }
                              },
                              "rate": {
                                "name": "rate",
                                "description": "Tax rate",
                                "type": "string",
                                "example": "\"1.00\""
                              },
                              "title": {
                                "name": "title",
                                "description": "Tax name",
                                "type": "string",
                                "example": "\" Product tax \""
                              }
                            },
                            "example": {
                              "title": "\" Product tax \"",
                              "price": "\"10.00\"",
                              "price_set": {
                                "presentment_money": {
                                  "amount": "\"10.00\"",
                                  "currency_code": "\"USD\""
                                },
                                "shop_money": {
                                  "currency_code": "\"USD\"",
                                  "amount": "\"10.00\""
                                }
                              },
                              "rate": "\"1.00\""
                            }
                          },
                          "example": [
                            {
                              "price": "\"10.00\"",
                              "price_set": {
                                "presentment_money": {
                                  "amount": "\"10.00\"",
                                  "currency_code": "\"USD\""
                                },
                                "shop_money": {
                                  "amount": "\"10.00\"",
                                  "currency_code": "\"USD\""
                                }
                              },
                              "rate": "\"1.00\"",
                              "title": "\" Product tax \""
                            }
                          ]
                        },
                        "total_discount": {
                          "name": "total_discount",
                          "description": "Discount amount",
                          "type": "string",
                          "example": "\"0.00\""
                        },
                        "fulfillable_quantity": {
                          "name": "fulfillable_quantity",
                          "description": "Available quantity",
                          "type": "integer",
                          "example": 1
                        },
                        "product_id": {
                          "name": "product_id",
                          "description": "Product ID",
                          "type": "string",
                          "example": "\"343342675\""
                        },
                        "sku": {
                          "name": "sku",
                          "description": "Product code",
                          "type": "string",
                          "example": "\"183423409238904944\""
                        },
                        "variant_title": {
                          "name": "variant_title",
                          "description": "Product variant name",
                          "type": "string",
                          "example": "\"Black / Bracelet / Bracelet\"\""
                        },
                        "id": {
                          "name": "id",
                          "description": "Product ID",
                          "type": "string",
                          "example": "\"466157049\""
                        },
                        "total_discount_set": {
                          "name": "total_discount_set",
                          "description": "Multi-currency discount",
                          "type": "object",
                          "properties": {
                            "presentment_money": {
                              "name": "presentment_money",
                              "description": "Settlement currency",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Amount",
                                  "type": "string",
                                  "example": "\"0.00\""
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Currency",
                                  "type": "string",
                                  "example": "\"USD\""
                                }
                              },
                              "example": {
                                "amount": "\"0.00\"",
                                "currency_code": "\"USD\""
                              }
                            },
                            "shop_money": {
                              "name": "shop_money",
                              "description": "Store currency",
                              "type": "object",
                              "properties": {
                                "amount": {
                                  "name": "amount",
                                  "description": "Amount",
                                  "type": "string",
                                  "example": "\"0.00\""
                                },
                                "currency_code": {
                                  "name": "currency_code",
                                  "description": "Currency",
                                  "type": "string",
                                  "example": "\"USD\""
                                }
                              },
                              "example": {
                                "amount": "\"0.00\"",
                                "currency_code": "\"USD\""
                              }
                            }
                          },
                          "example": {
                            "presentment_money": {
                              "currency_code": "\"USD\"",
                              "amount": "\"0.00\""
                            },
                            "shop_money": {
                              "amount": "\"0.00\"",
                              "currency_code": "\"USD\""
                            }
                          }
                        }
                      },
                      "example": {
                        "price_set": {
                          "presentment_money": {
                            "amount": "\"100.00\"",
                            "currency_code": "\"USD\""
                          },
                          "shop_money": {
                            "currency_code": "\"USD\"",
                            "amount": "\"100.00\""
                          }
                        },
                        "taxable": true,
                        "title": "\"Draft\"",
                        "total_discount_set": {
                          "presentment_money": {
                            "currency_code": "\"USD\"",
                            "amount": "\"0.00\""
                          },
                          "shop_money": {
                            "currency_code": "\"USD\"",
                            "amount": "\"0.00\""
                          }
                        },
                        "variant_id": "\"183423409238904944\"",
                        "requires_shipping": true,
                        "tax_lines": [
                          {
                            "price": "\"10.00\"",
                            "price_set": {
                              "presentment_money": {
                                "amount": "\"10.00\"",
                                "currency_code": "\"USD\""
                              },
                              "shop_money": {
                                "amount": "\"10.00\"",
                                "currency_code": "\"USD\""
                              }
                            },
                            "rate": "\"1.00\"",
                            "title": "\" Product tax \""
                          }
                        ],
                        "total_discount": "\"0.00\"",
                        "grams": 10.5,
                        "id": "\"466157049\"",
                        "name": "Trade name",
                        "price": "\"100.00\"",
                        "sku": "\"183423409238904944\"",
                        "variant_title": "\"Black / Bracelet / Bracelet\"\"",
                        "version": "\"1\"",
                        "fulfillable_quantity": 1,
                        "product_id": "\"343342675\"",
                        "quantity": 1
                      }
                    },
                    "example": [
                      {
                        "title": "\"Draft\"",
                        "total_discount": "\"0.00\"",
                        "fulfillable_quantity": 1,
                        "sku": "\"183423409238904944\"",
                        "version": "\"1\"",
                        "id": "\"466157049\"",
                        "product_id": "\"343342675\"",
                        "total_discount_set": {
                          "presentment_money": {
                            "amount": "\"0.00\"",
                            "currency_code": "\"USD\""
                          },
                          "shop_money": {
                            "amount": "\"0.00\"",
                            "currency_code": "\"USD\""
                          }
                        },
                        "variant_title": "\"Black / Bracelet / Bracelet\"\"",
                        "name": "Trade name",
                        "price": "\"100.00\"",
                        "variant_id": "\"183423409238904944\"",
                        "grams": 10.5,
                        "price_set": {
                          "presentment_money": {
                            "amount": "\"100.00\"",
                            "currency_code": "\"USD\""
                          },
                          "shop_money": {
                            "amount": "\"100.00\"",
                            "currency_code": "\"USD\""
                          }
                        },
                        "quantity": 1,
                        "requires_shipping": true,
                        "tax_lines": [
                          {
                            "title": "\" Product tax \"",
                            "price": "\"10.00\"",
                            "price_set": {
                              "presentment_money": {
                                "amount": "\"10.00\"",
                                "currency_code": "\"USD\""
                              },
                              "shop_money": {
                                "amount": "\"10.00\"",
                                "currency_code": "\"USD\""
                              }
                            },
                            "rate": "\"1.00\""
                          }
                        ],
                        "taxable": true
                      }
                    ]
                  },
                  "name": {
                    "name": "name",
                    "description": "Package",
                    "type": "string",
                    "example": "\"#21057116277667827637773776.1\""
                  },
                  "order_id": {
                    "name": "order_id",
                    "description": "Order number",
                    "type": "string",
                    "example": "\"21057116277667827637773776\""
                  },
                  "tracking_company": {
                    "name": "tracking_company",
                    "description": "Logistics company name\n:::danger\n**DEPRECATED**: This parameter is deprecated from API version v20250601. Refer to `tracking_info_list` for related information.\n:::",
                    "type": "string",
                    "example": "\"Other\""
                  }
                },
                "example": {
                  "status": "\"success-shipped\"",
                  "tracking_company": "\"Other\"",
                  "tracking_url": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"",
                  "tracking_urls": [
                    "[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"
                  ],
                  "updated_at": "2022-10-21T08:56:20-04:00",
                  "created_at": null,
                  "id": "\"4005740193290131085320\"",
                  "name": "\"#21057116277667827637773776.1\"",
                  "order_id": "\"21057116277667827637773776\"",
                  "shipment_status": "\"delivered\"",
                  "tracking_info_list": [
                    {
                      "tracking_number": null,
                      "tracking_url": null,
                      "tracking_company": null
                    }
                  ],
                  "tracking_number": "\"UG198768340YP\"",
                  "tracking_numbers": [
                    "[\"UG198768340YP\"]"
                  ],
                  "line_items": [
                    {
                      "fulfillable_quantity": 1,
                      "grams": 10.5,
                      "price_set": {
                        "presentment_money": {
                          "amount": "\"100.00\"",
                          "currency_code": "\"USD\""
                        },
                        "shop_money": {
                          "currency_code": "\"USD\"",
                          "amount": "\"100.00\""
                        }
                      },
                      "sku": "\"183423409238904944\"",
                      "taxable": true,
                      "total_discount_set": {
                        "presentment_money": {
                          "amount": "\"0.00\"",
                          "currency_code": "\"USD\""
                        },
                        "shop_money": {
                          "amount": "\"0.00\"",
                          "currency_code": "\"USD\""
                        }
                      },
                      "id": "\"466157049\"",
                      "price": "\"100.00\"",
                      "requires_shipping": true,
                      "tax_lines": [
                        {
                          "price": "\"10.00\"",
                          "price_set": {
                            "presentment_money": {
                              "amount": "\"10.00\"",
                              "currency_code": "\"USD\""
                            },
                            "shop_money": {
                              "amount": "\"10.00\"",
                              "currency_code": "\"USD\""
                            }
                          },
                          "rate": "\"1.00\"",
                          "title": "\" Product tax \""
                        }
                      ],
                      "variant_id": "\"183423409238904944\"",
                      "product_id": "\"343342675\"",
                      "quantity": 1,
                      "total_discount": "\"0.00\"",
                      "variant_title": "\"Black / Bracelet / Bracelet\"\"",
                      "version": "\"1\"",
                      "name": "Trade name",
                      "title": "\"Draft\""
                    }
                  ]
                }
              }
            },
            "example": {
              "fulfillment": {
                "status": "\"success-shipped\"",
                "tracking_company": "\"Other\"",
                "updated_at": "2022-10-21T08:56:20-04:00",
                "created_at": null,
                "id": "\"4005740193290131085320\"",
                "tracking_info_list": [
                  {
                    "tracking_url": null,
                    "tracking_company": null,
                    "tracking_number": null
                  }
                ],
                "tracking_number": "\"UG198768340YP\"",
                "tracking_numbers": [
                  "[\"UG198768340YP\"]"
                ],
                "tracking_url": "\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"",
                "tracking_urls": [
                  "[\"\"https://tools.usps.com/go/TrackConfirmAction_input?qtc_tLabels1=1Z2345\"\"]"
                ],
                "line_items": [
                  {
                    "total_discount": "\"0.00\"",
                    "total_discount_set": {
                      "presentment_money": {
                        "amount": "\"0.00\"",
                        "currency_code": "\"USD\""
                      },
                      "shop_money": {
                        "currency_code": "\"USD\"",
                        "amount": "\"0.00\""
                      }
                    },
                    "variant_id": "\"183423409238904944\"",
                    "product_id": "\"343342675\"",
                    "quantity": 1,
                    "sku": "\"183423409238904944\"",
                    "variant_title": "\"Black / Bracelet / Bracelet\"\"",
                    "version": "\"1\"",
                    "fulfillable_quantity": 1,
                    "grams": 10.5,
                    "id": "\"466157049\"",
                    "tax_lines": [
                      {
                        "title": "\" Product tax \"",
                        "price": "\"10.00\"",
                        "price_set": {
                          "presentment_money": {
                            "amount": "\"10.00\"",
                            "currency_code": "\"USD\""
                          },
                          "shop_money": {
                            "amount": "\"10.00\"",
                            "currency_code": "\"USD\""
                          }
                        },
                        "rate": "\"1.00\""
                      }
                    ],
                    "taxable": true,
                    "title": "\"Draft\"",
                    "name": "Trade name",
                    "price": "\"100.00\"",
                    "price_set": {
                      "presentment_money": {
                        "amount": "\"100.00\"",
                        "currency_code": "\"USD\""
                      },
                      "shop_money": {
                        "amount": "\"100.00\"",
                        "currency_code": "\"USD\""
                      }
                    },
                    "requires_shipping": true
                  }
                ],
                "name": "\"#21057116277667827637773776.1\"",
                "order_id": "\"21057116277667827637773776\"",
                "shipment_status": "\"delivered\""
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "post",
  "path": "/orders/:order_id/fulfillments/:fulfillment_id/update_tracking.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Update tracking number",
    "version": "v20270301"
  },
  "authIndexes": [
    "write_orders"
  ]
}
```